#!/bin/sh
paru --needed --noconfirm -Syu nvidia nvidia-utils sway-nvidia nvidia-vaapi-driver-git lib32-nvidia-utils
BLCONF=$(find /boot/loader/entries/ -type f -name '*.conf' -print0 | xargs -0 grep -l "arch")
echo "LOADER: ${BLCONF}"

if grep -R "nvidia_drm.modeset" $BLCONF > /dev/null
then
	echo "modeset already set"
else
	sudo sed -ie 's/^options.*$/& nvidia_drm.modeset=1/g' ${BLCONF}
fi
